Bug 452422 - Value strip color resets to grayscale when using Advanced Color Selector + "Show color selector" hotkey
Summary: Value strip color resets to grayscale when using Advanced Color Selector + "S...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Color Selectors (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-09 07:42 UTC by oktopuse
Modified: 2022-04-10 10:49 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of Krita with the Advanced Color Selector + "Show color selector" popup out of sync (152.82 KB, image/png)
2022-04-09 07:42 UTC, oktopuse
Details

Note You need to log in before you can comment on or make changes to this bug.
Description oktopuse 2022-04-09 07:42:45 UTC
Created attachment 148062 [details]
Screenshot of Krita with the Advanced Color Selector + "Show color selector" popup out of sync

SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1. Open Advanced Color Selector docker
2. Click the icon to configure it
3. Select HSY' as the Color Model Type
4. Select the last color selector shape (rectangle with hue / saturation across all colors with a value strip at the top)
5. Click OK
6. Select some color in the Advanced Color Selector
7. Notice value strip at the top is updated to reflect the currently selected color across different values
8. Press hotkey for "Show color selector"
9. Notice value strip at the top of the popup is grayscale instead of based on the current color, while the one on the Advanced Color Selector is still as it was
10. Select a color in the popup
11. Notice value strip at the top of the popup now reflects the currently selected color but the Advanced Color Selector's value strip is now grayscale
12. Select a color on the Advanced Color Selector
13. Notice the value strip is updated as expected
14. Try the "Show color selector" hotkey and notice the value strip grayscale in the popup again

OBSERVED RESULT
The Advanced Color Selector and the "Show color selector" popup when used together alternate between which one has a value strip reflecting the current color and which one has a value strip in grayscale depending on which was last used to select the color.

EXPECTED RESULT
I would expect both to stay in sync with the value strip always reflecting the current color rather than being grayscale.

SOFTWARE/OS VERSIONS
Windows: Windows 10 Pro, Version 21H1, OS build 19043.1586
macOS: N/A
Linux/KDE Plasma: N/A
(available in About System)
KDE Plasma Version: N/A
KDE Frameworks Version: N/A 
Qt Version: 5.12.12

ADDITIONAL INFORMATION
This is using 5.0.2-alpha (git 6edabfa) that I downloaded / installed from the latest nightly builds.

I very briefly tried selecting a color in the Popup Palette as well (right click menu) and it causes the same behavior of forcing the Advanced Color Selector into grayscale for the value strip when selecting a color inside of it but the inverse doesn't happen (selecting a color with the Advanced Color Selector doesn't cause the Popup Palette's color selector to go grayscale for the value ring and instead it stays in sync).
Comment 1 Lynx3d 2022-04-10 10:49:38 UTC
Git commit f782823fc8e84256209176967ac8c88bb76624c5 by Mathias Wein.
Committed on 10/04/2022 at 10:46.
Pushed by mwein into branch 'krita/5.0'.

Fix Advanced Color Selector hsySH square element

The signal parameters were passed in incorrect order.
(cherry picked from commit 5b82c96eed0741c237eb787366c30bf2adc3bcc8)

M  +1    -1    plugins/dockers/advancedcolorselector/kis_color_selector_simple.cpp

https://invent.kde.org/graphics/krita/commit/f782823fc8e84256209176967ac8c88bb76624c5
Comment 2 Lynx3d 2022-04-10 10:49:46 UTC
Git commit 5b82c96eed0741c237eb787366c30bf2adc3bcc8 by Mathias Wein.
Committed on 10/04/2022 at 10:40.
Pushed by mwein into branch 'master'.

Fix Advanced Color Selector hsySH square element

The signal parameters were passed in incorrect order.

M  +1    -1    plugins/dockers/advancedcolorselector/kis_color_selector_simple.cpp

https://invent.kde.org/graphics/krita/commit/5b82c96eed0741c237eb787366c30bf2adc3bcc8